| All Verbs | /RestApi/Sitefinity/Analytics/GetAllTrackedDomains |
|---|
"use strict";
export class GetAllTrackedDomainsMessage {
/** @param {{SelectedProfile?:string,TrackedDomain?:string,SiteId?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
SelectedProfile;
/** @type {string} */
TrackedDomain;
/** @type {string} */
SiteId;
}
export class Domain {
/** @param {{TrackedDomain?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
TrackedDomain;
}
export class GetAllTrackedDomainsData {
/** @param {{AllTrackedDomains?:Domain[],SelectedAccount?:string,TrackedDomain?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {Domain[]} */
AllTrackedDomains;
/** @type {string} */
SelectedAccount;
/** @type {string} */
TrackedDomain;
}
JavaScript GetAllTrackedDomainsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetAllTrackedDomains HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetAllTrackedDomainsMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SelectedProfile>String</SelectedProfile>
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
<TrackedDomain>String</TrackedDomain>
</GetAllTrackedDomainsMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetAllTrackedDomainsData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<AllTrackedDomains>
<Domain>
<TrackedDomain>String</TrackedDomain>
</Domain>
</AllTrackedDomains>
<SelectedAccount>String</SelectedAccount>
<TrackedDomain>String</TrackedDomain>
</GetAllTrackedDomainsData>